#
# Conditional build:
%bcond_with	tests	# unit tests (empty in sdist)

Summary:	Modern benchmarking library for Python with pytest integration.
Summary(pl.UTF-8):	Nowoczesna biblioteka mierząca wydajność dla Pythona, integrująca się z pytestem
Name:		python3-pytest-speed
Version:	0.3.5
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pytest-speed/
Source0:	https://files.pythonhosted.org/packages/source/p/pytest-speed/pytest_speed-%{version}.tar.gz
# Source0-md5:	69e78f21af3c003c071c6e3566b363b4
URL:		https://pypi.org/project/pytest-speed/
BuildRequires:	python3-build
BuildRequires:	python3-hatchling
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.7
%if %{with tests}
BuildRequires:	python3-click >= 7
BuildRequires:	python3-pytest >= 7
BuildRequires:	python3-rich >= 12
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Modern benchmarking library for Python with pytest integration.

pytest-speed is mostly backwards compatible with pytest-benchmark but
adds:
- clearer output using rich
- clearer comparison of benchmarks
- some extra functionality, e.g. running multiple benchmarks from a
  single test

%description -l pl.UTF-8
Nowoczesna biblioteka mierząca wydajność dla Pythona, integrująca się
z pytestem.

pytest-speed jest w większości wstecznie zgodna z pytest-benchmark,
ale dodaje:
- bardziej przejrzyste wyjście dzięki rich
- bardziej przejrzyste porównywanie wydajności
- kilka dodatkowych funkcji, np. uruchamianie wielu pomiarów z
  pojedynczego testu

%prep
%setup -q -n pytest_speed-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_speed \
PYTHONPATH=$(pwd) \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/pytest-speed
%{py3_sitescriptdir}/pytest_speed
%{py3_sitescriptdir}/pytest_speed-%{version}.dist-info
%changelog
* Fri Jul 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pytest-speed.git;a=log;h=master

* Fri Jul 11 2025 Jakub Bogusz <qboosh@pld-linux.org> 92cc1a6
- new

